/// <reference types="node" />
/// <reference types="node" />
import * as stream from 'stream';
import { HtkConfig } from './config';
/**
 * This retrieves a stream for a dependency file, either from disk if it's already available
 * or by calling the fetch() function (and then saving the result to disk in parallel for
 * future calls).
 */
export declare function getDependencyStream<K extends readonly string[]>(options: {
    config: HtkConfig;
    key: K;
    ext: `.${string}`;
    fetch: (key: K) => Promise<stream.Readable>;
}): Promise<stream.PassThrough | import("fs").ReadStream>;
export declare function cleanupDependencies(options: {
    config: HtkConfig;
    keyPrefix: string;
    versionToKeep: string;
    ext: `.${string}`;
}): Promise<void>;
