import * as TarStream from 'tar-stream';
/**
 * Get the volume name to use to mount our volume into containers to inject
 * the override data & CA certificate.
 *
 * This is async and checks the volume exists every time, because if you don't
 * and you reference the name when creating a container when the volume doesn't
 * exist then it'll a) create an empty useless volume that won't work and b)
 * create the volume with the correct name and attach it, so we can't remove &
 * replace it later to fix the issue, until the container exits. Very annoying.
 */
export declare const getDockerDataVolumeName: (certContent: string) => Promise<string>;
export declare function packOverrideFiles(packStream: TarStream.Pack, targetPath?: string): Promise<TarStream.Pack>;
export declare function ensureDockerInjectionVolumeExists(certContent: string): Promise<void>;
